acts:[-\\w+=\\/,.@]*:[0-9]+:([\\w+=\\/,.@:-]+)*"
    },
    "SsmContactsArnList":{
      "type":"list",
      "member":{"shape":"SsmContactsArn"},
      "max":25,
      "min":0
    },
    "Stage":{
      "type":"structure",
      "required":[
        "DurationInMinutes",
        "Targets"
      ],
      "members":{
        "DurationInMinutes":{
          "shape":"StageDurationInMins",
          "documentation":"<p>The time to wait until beginning the next stage. The duration can only be set to 0 if a target is specified.</p>"
        },
        "Targets":{
          "shape":"TargetsList",
          "documentation":"<p>The contacts or contact methods that the escalation plan or engagement plan is engaging.</p>"
        }
      },
      "documentation":"<p>A set amount of time that an escalation plan or engagement plan engages the specified contacts or contact methods.</p>"
    },
    "StageDurationInMins":{
      "type":"integer",
      "box":true,
      "max":30,
      "min":0
    },
    "StageIndex":{
      "type":"integer",
      "max":100,
      "min":0
    },
    "StagesList":{
      "type":"list",
      "member":{"shape":"Stage"}
    },
    "StartEngagementRequest":{
      "type":"structure",
      "required":[
        "ContactId",
        "Sender",
        "Subject",
        "Content"
      ],
      "members":{
        "ContactId":{
          "shape":"SsmContactsArn",
          "documentation":"<p>The Amazon Resource Name (ARN) of the contact being engaged.</p>"
        },
        "Sender":{
          "shape":"Sender",
          "documentation":"<p>The user that started the engagement.</p>"
        },
        "Subject":{
          "shape":"Subject",
          "documentation":"<p>The secure subject of the message that was sent to the contact. Use this field for engagements to <code>VOICE</code> or <code>EMAIL</code>.</p>"
        },
        "Content":{
          "shape":"Content",
          "documentation":"<p>The secure content of the message that was sent to the contact. Use this field for engagements to <code>VOICE</code> or <code>EMAIL</code>.</p>"
        },
        "PublicSubject":{
          "shape":"PublicSubject",
          "documentation":"<p>The insecure subject of the message that was sent to the contact. Use this field for engagements to <code>SMS</code>.</p>"
        },
        "PublicContent":{
          "shape":"PublicContent",
          "documentation":"<p>The insecure content of the message that was sent to the contact. Use this field for engagements to <code>SMS</code>.</p>"
        },
        "IncidentId":{
          "shape":"IncidentId",
          "documentation":"<p>The ARN of the incident that the engagement is part of.</p>"
        },
        "IdempotencyToken":{
          "shape":"IdempotencyToken",
          "documentation":"<p>A token ensuring that the operation is called only once with the specified details.</p>",
          "idempotencyToken":true
        }
      }
    },
    "StartEngagementResult":{
      "type":"structure",
      "required":["EngagementArn"],
      "members":{
        "EngagementArn":{
          "shape":"SsmContactsArn",
          "documentation":"<p>The ARN of the engagement.</p>"
        }
      }
    },
    "StopEngagementRequest":{
      "type":"structure",
      "required":["EngagementId"],
      "members":{
        "EngagementId":{
          "shape":"SsmContactsArn",
          "documentation":"<p>The Amazon Resource Name (ARN) of the engagement.</p>"
        },
        "Reason":{
          "shape":"StopReason",
          "documentation":"<p>The reason that you're stopping the engagement.</p>"
        }
      }
    },
    "StopEngagementResult":{
      "type":"structure",
      "members":{
      }
    },
    "StopReason":{
      "type":"string",
      "max":255,
      "pattern":"^[.\\s\\S]*$"
    },
    "String":{"type":"string"},
    "Subject":{
      "type":"string",
      "max":2048,
      "min":1,
      "pattern":"^[.\\s\\S]*$"
    },
    "Tag":{
      "type":"structure",
      "members":{
        "Key":{
          "shape":"TagKey",
          "documentation":"<p>Name of the object key.</p>"
        },
        "Value":{
          "shape":"TagValue",
          "documentation":"<p>Value of the tag.</p>"
        }
      },
      "documentation":"<p>A container of a key-value name pair.</p>"
    },
    "TagKey":{
      "type":"string",
      "max":128,
      "min":1,
      "pattern":"^[\\\\\\/a-zA-Z0-9_+=\\-]*$"
    },
    "TagKeyList":{
      "type":"list",
      "member":{"shape":"TagKey"},
      "max":50,
      "min":0
    },
    "TagResourceRequest":{
      "type":"structure",
      "required":[
        "ResourceARN",
        "Tags"
      ],
      "members":{
        "ResourceARN":{
          "shape":"AmazonResourceName",
          "documentation":"<p>The Amazon Resource Name (ARN) of the contact or escalation plan.</p>"
        },
        "Tags":{
          "shape":"TagsList",
          "documentation":"<p>A list of tags that you are adding to the contact or escalation plan.</p>"
        }
      }
    },
    "TagResourceResult":{
      "type":"structure",
      "members":{
      }
    },
    "TagValue":{
      "type":"string",
      "max":256,
      "min":1,
      "pattern":"^[\\p{L}\\p{Z}\\p{N}_.:\\/=+\\-@]*$"
    },
    "TagsList":{
      "type":"list",
      "member":{"shape":"Tag"},
      "max":50,
      "min":0
    },
    "Target":{
      "type":"structure",
      "members":{
        "ChannelTargetInfo":{
          "shape":"ChannelTargetInfo",
          "documentation":"<p>Information about the contact channel Incident Manager is engaging.</p>"
        },
        "ContactTargetInfo":{
          "shape":"ContactTargetInfo",
          "documentation":"<p>Information about the contact that Incident Manager is engaging.</p>"
        }
      },
      "documentation":"<p>The contact or contact channel that's being engaged.</p>"
    },
    "TargetsList":{
      "type":"list",
      "member":{"shape":"Target"}
    },
    "ThrottlingException":{
      "type":"structure",
      "required":["Message"],
      "members":{
        "Message":{"shape":"String"},
        "QuotaCode":{
          "shape":"String",
          "documentation":"Service Quotas requirement to identify originating service"
        },
        "ServiceCode":{
          "shape":"String",
          "documentation":"Service Quotas requirement to identify originating quota"
        },
        "RetryAfterSeconds":{
          "shape":"RetryAfterSeconds",
          "documentation":"Advice to clients on when the call can be safely retried"
        }
      },
      "documentation":"<p>The request was denied due to request throttling.</p>",
      "exception":true
    },
    "TimeRange":{
      "type":"structure",
      "members":{
        "StartTime":{
          "shape":"DateTime",
          "documentation":"<p>The start of the time range.</p>"
        },
        "EndTime":{
          "shape":"DateTime",
          "documentation":"<p>The end of the time range.</p>"
        }
      },
      "documentation":"<p>A range of between two set times</p>"
    },
    "TimeZoneId":{
      "type":"string",
      "max":255,
      "min":1,
      "pattern":"^[:a-zA-Z0-9_\\-\\s\\.\\\\/]*$"
    },
    "UntagResourceRequest":{
      "type":"structure",
      "required":[
        "ResourceARN",
        "TagKeys"
      ],
      "members":{
        "ResourceARN":{
          "shape":"AmazonResourceName",
          "documentation":"<p>The Amazon Resource Name (ARN) of the contact or escalation plan.</p>"
        },
        "TagKeys":{
          "shape":"TagKeyList",
          "documentation":"<p>The key of the tag that you want to remove.</p>"
        }
      }
    },
    "UntagResourceResult":{
      "type":"structure",
      "members":{
      }
    },
    "UpdateContactChannelRequest":{
      "type":"structure",
      "required":["ContactChannelId"],
      "members":{
        "ContactChannelId":{
          "shape":"SsmContactsArn",
          "documentation":"<p>The Amazon Resource Name (ARN) of the contact channel you want to update.</p>"
        },
        "Name":{
          "shape":"ChannelName",
          "documentation":"<p>The name of the contact channel.</p>"
        },
        "DeliveryAddress":{
          "shape":"ContactChannelAddress",
          "documentation":"<p>The details that Incident Manager uses when trying to engage the contact channel.</p>"
        }
      }
    },
    "UpdateContactChannelResult":{
      "type":"structure",
      "members":{
      }
    },
    "UpdateContactRequest":{
      "type":"structure",
      "required":["ContactId"],
      "members":{
        "ContactId":{
          "shape":"SsmContactsArn",
          "documentation":"<p>The Amazon Resource Name (ARN) of the contact or escalation plan you're updating.</p>"
        },
        "DisplayName":{
          "shape":"ContactName",
          "documentation":"<p>The full name of the contact or escalation plan.</p>"
        },
        "Plan":{
          "shape":"Plan",
          "documentation":"<p>A list of stages. A contact has an engagement plan with stages for specified contact channels. An escalation plan uses these stages to contact specified contacts.</p>"
        }
      }
    },
    "UpdateContactResult":{
      "type":"structure",
      "members":{
      }
    },
    "UpdateRotationRequest":{
      "type":"structure",
      "required":[
        "RotationId",
        "Recurrence"
      ],
      "members":{
        "RotationId":{
          "shape":"SsmContactsArn",
          "documentation":"<p>The Amazon Resource Name (ARN) of the rotation to update.</p>"
        },
        "ContactIds":{
          "shape":"RotationContactsArnList",
          "documentation":"<p>The Amazon Resource Names (ARNs) of the contacts to include in the updated rotation. </p> <p>The order in which you list the contacts is their shift order in the rotation schedule.</p>"
        },
        "StartTime":{
          "shape":"DateTime",
          "documentation":"<p>The date and time the rotation goes into effect.</p>"
        },
        "TimeZoneId":{
          "shape":"TimeZoneId",
          "documentation":"<p>The time zone to base the updated rotation’s activity on, in Internet Assigned Numbers Authority (IANA) format. For example: \"America/Los_Angeles\", \"UTC\", or \"Asia/Seoul\". For more information, see the <a href=\"https://www.iana.org/time-zones\">Time Zone Database</a> on the IANA website.</p> <note> <p>Designators for time zones that don’t support Daylight Savings Time Rules, such as Pacific Standard Time (PST) and Pacific Daylight Time (PDT), aren't supported.</p> </note>"
        },
        "Recurrence":{
          "shape":"RecurrenceSettings",
          "documentation":"<p>Information about how long the updated rotation lasts before restarting at the beginning of the shift order.</p>"
        }
      }
    },
    "UpdateRotationResult":{
      "type":"structure",
      "members":{
      }
    },
    "Uuid":{
      "type":"string",
      "max":39,
      "min":36,
      "pattern":"([a-fA-Z0-9]{8,11}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}){1}"
    },
    "ValidationException":{
      "type":"structure",
      "required":["Message"],
      "members":{
        "Message":{"shape":"String"},
        "Reason":{
          "shape":"ValidationExceptionReason",
          "documentation":"Reason the request failed validation"
        },
        "Fields":{
          "shape":"ValidationExceptionFieldList",
          "documentation":"The fields that caused the error"
        }
      },
      "documentation":"<p>The input fails to satisfy the constraints specified by an Amazon Web Services service.</p>",
      "exception":true
    },
    "ValidationExceptionField":{
      "type":"structure",
      "required":[
        "Name",
        "Message"
      ],
      "members":{
        "Name":{
          "shape":"String",
          "documentation":"<p>The name of the field that caused the exception.</p>"
        },
        "Message":{
          "shape":"String",
          "documentation":"<p>Information about what caused the field to cause an exception.</p>"
        }
      },
      "documentation":"<p>Provides information about which field caused the exception.</p>"
    },
    "ValidationExceptionFieldList":{
      "type":"list",
      "member":{"shape":"ValidationExceptionField"}
    },
    "ValidationExceptionReason":{
      "type":"string",
      "enum":[
        "UNKNOWN_OPERATION",
        "CANNOT_PARSE",
        "FIELD_VALIDATION_FAILED",
        "OTHER"
      ]
    },
    "WeeklySetting":{
      "type":"structure",
      "required":[
        "DayOfWeek",
        "HandOffTime"
      ],
      "members":{
        "DayOfWeek":{
          "shape":"DayOfWeek",
          "documentation":"<p>The day of the week when weekly recurring on-call shift rotations begins.</p>"
        },
        "HandOffTime":{
          "shape":"HandOffTime",
          "documentation":"<p>The time of day when a weekly recurring on-call shift rotation begins.</p>"
        }
      },
      "documentation":"<p>Information about rotations that recur weekly.</p>"
    },
    "WeeklySettings":{
      "type":"list",
      "member":{"shape":"WeeklySetting"}
    }
  },
  "documentation":"<p>Systems Manager Incident Manager is an incident management console designed to help users mitigate and recover from incidents affecting their Amazon Web Services-hosted applications. An incident is any unplanned interruption or reduction in quality of services.</p> <p>Incident Manager increases incident resolution by notifying responders of impact, highlighting relevant troubleshooting data, and providing collaboration tools to get services back up and running. To achieve the primary goal of reducing the time-to-resolution of critical incidents, Incident Manager automates response plans and enables responder team escalation.</p>"
}
